FROM node:20-alpine

WORKDIR /user/src/app   

COPY ./package.json ./
COPY ./bun.lockb ./

# RUN npm install -g bun
# RUN bun install
RUN npm install --no-audit --silent

COPY . .

# EXPOSE 3000
EXPOSE 3003

# RUN bun next build
RUN npm run build
# CMD ["bun", "dev", "--host"]
# CMD ["bun", "start"]
CMD ["npm", "start"]